Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.MenuItemEx Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| MenuItemEx ()
| Constructor.
| MenuItemEx (string item_name, string return_name, bool is_checked, bool is_enabled, MenuItemExArray sub_menu_item_array)
| Constructor, with parameters. More...
| MenuItemEx (MenuItemEx menu_item)
| Constructor, with another menu item object. More...
void | Set (string item_name, string return_name, bool is_checked, bool is_enabled, MenuItemExArray sub_menu_item_array)
| Set values. More...

## Properties
bool | is_checked`[get, set]`
| A boolean value which indicates whether the menu item is to be marked as checked. More...
bool | is_enabled`[get, set]`
| A boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
string | item_name`[get, set]`
| The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.
string | return_name`[get, set]`
| A string to be returned when the menu item is selected. The default is the value of item name.
MenuItemExArray? | sub_menu_item_array`[get, set]`
| The sub menu item array.

## Detailed Description

This class represents menu item.

## Constructor & Destructor Documentation

## ◆ MenuItemEx() [1/2]

foxit.pdf.actions.MenuItemEx.MenuItemEx | ( | string | item_name,
|  | string | return_name,
|  | bool | is_checked,
|  | bool | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

## ◆ MenuItemEx() [2/2]

foxit.pdf.actions.MenuItemEx.MenuItemEx | ( | MenuItemEx | menu_item | ) |
| inline

Constructor, with another menu item object.

Parameters

  [in] | menu_item | Another menu item object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.MenuItemEx.Set | ( | string | item_name,
|  | string | return_name,
|  | bool | is_checked,
|  | bool | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |
| inline

Set values.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

Returns
  None.

## Property Documentation

## ◆ is_checked

bool foxit.pdf.actions.MenuItemEx.is_checked
| get set

A boolean value which indicates whether the menu item is to be marked as checked.

true means that the menu item is to be marked as checked, while false means that the menu item is not to be marked as checked.

## ◆ is_enabled

bool foxit.pdf.actions.MenuItemEx.is_enabled
| get set

A boolean value which indicates whether the menu item is to appear enabled or grayed out.

true means that the menu item is to appear enabled, while false means that the menu item is to appear grayed out.